package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 个人页对象 t_personal_page
 *
 * @author ruoyi
 * @date 2020-09-01
 */
public class TPersonalPage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 客户id（会员id） */
    @Excel(name = "客户id", readConverterExp = "会=员id")
    private Long customerId;

    /** 客户姓名 */
    @Excel(name = "客户姓名")
    private String customer;

    /** 干系人姓名 */
    @Excel(name = "干系人姓名")
    private String stakeholder;

    /** 干系人生日 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "干系人生日", width = 30, dateFormat = "yyyy-MM-dd")
    private Date stakeholderBirthday;

    /** 头像url */
    @Excel(name = "头像url")
    private String avatar;

    /** 生平描述 */
    @Excel(name = "生平描述")
    private String lifeDescribe;

    /** 个人页模板id */
    @Excel(name = "个人页模板id")
    private Long templateId;

    /** 个人页内容 富文本 */
    @Excel(name = "个人页内容 富文本")
    private String content;

    /** 启用  0正常，1停用 */
    @Excel(name = "启用  0正常，1停用")
    private String enable;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCustomerId(Long customerId)
    {
        this.customerId = customerId;
    }

    public Long getCustomerId()
    {
        return customerId;
    }
    public void setCustomer(String customer)
    {
        this.customer = customer;
    }

    public String getCustomer()
    {
        return customer;
    }
    public void setStakeholder(String stakeholder)
    {
        this.stakeholder = stakeholder;
    }

    public String getStakeholder()
    {
        return stakeholder;
    }
    public void setStakeholderBirthday(Date stakeholderBirthday)
    {
        this.stakeholderBirthday = stakeholderBirthday;
    }

    public Date getStakeholderBirthday()
    {
        return stakeholderBirthday;
    }
    public void setAvatar(String avatar)
    {
        this.avatar = avatar;
    }

    public String getAvatar()
    {
        return avatar;
    }
    public void setLifeDescribe(String lifeDescribe)
    {
        this.lifeDescribe = lifeDescribe;
    }

    public String getLifeDescribe()
    {
        return lifeDescribe;
    }
    public void setTemplateId(Long templateId)
    {
        this.templateId = templateId;
    }

    public Long getTemplateId()
    {
        return templateId;
    }
    public void setContent(String content)
    {
        this.content = content;
    }

    public String getContent()
    {
        return content;
    }
    public void setEnable(String enable)
    {
        this.enable = enable;
    }

    public String getEnable()
    {
        return enable;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("customerId", getCustomerId())
                .append("customer", getCustomer())
                .append("stakeholder", getStakeholder())
                .append("stakeholderBirthday", getStakeholderBirthday())
                .append("avatar", getAvatar())
                .append("lifeDescribe", getLifeDescribe())
                .append("templateId", getTemplateId())
                .append("content", getContent())
                .append("enable", getEnable())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}