package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TPersonalPage;
import org.apache.ibatis.annotations.Param;

/**
 * 个人页Mapper接口
 * 
 * @author ruoyi
 * @date 2020-08-29
 */
public interface TPersonalPageMapper 
{
    /**
     * 查询个人页
     * 
     * @param id 个人页ID
     * @return 个人页
     */
    public TPersonalPage selectTPersonalPageById(Long id);

    /**
     * 查询个人页列表
     * 
     * @param tPersonalPage 个人页
     * @return 个人页集合
     */
    public List<TPersonalPage> selectTPersonalPageList(TPersonalPage tPersonalPage);

    /**
     * 新增个人页
     * 
     * @param tPersonalPage 个人页
     * @return 结果
     */
    public int insertTPersonalPage(TPersonalPage tPersonalPage);

    /**
     * 修改个人页
     * 
     * @param tPersonalPage 个人页
     * @return 结果
     */
    public int updateTPersonalPage(TPersonalPage tPersonalPage);

    /**
     * 删除个人页
     * 
     * @param id 个人页ID
     * @return 结果
     */
    public int deleteTPersonalPageById(Long id);

    /**
     * 批量删除个人页
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPersonalPageByIds(Long[] ids);
    /**
     * 修改头像
     *
     * @param id 个人id
     * @param avatar 头像地址
     */
    int updateAvatar(@Param("id") Long id, @Param("avatar") String avatar);
}
