package com.ruoyi.system.service;

import com.ruoyi.system.domain.TPersonalImg;

import java.util.List;

/**
 * 个人页 图片Service接口
 * 
 * @author ruoyi
 * @date 2020-09-01
 */
public interface ITPersonalImgService 
{
    /**
     * 查询个人页 图片
     * 
     * @param id 个人页 图片ID
     * @return 个人页 图片
     */
    public TPersonalImg selectTPersonalImgById(Long id);

    /**
     * 查询个人页 图片列表
     * 
     * @param tPersonalImg 个人页 图片
     * @return 个人页 图片集合
     */
    public List<TPersonalImg> selectTPersonalImgList(TPersonalImg tPersonalImg);

    /**
     * 新增个人页 图片
     * 
     * @param tPersonalImg 个人页 图片
     * @return 结果
     */
    public int insertTPersonalImg(TPersonalImg tPersonalImg);

    /**
     * 修改个人页 图片
     * 
     * @param tPersonalImg 个人页 图片
     * @return 结果
     */
    public int updateTPersonalImg(TPersonalImg tPersonalImg);

    /**
     * 批量删除个人页 图片
     * 
     * @param ids 需要删除的个人页 图片ID
     * @return 结果
     */
    public int deleteTPersonalImgByIds(Long[] ids);

    /**
     * 删除个人页 图片信息
     * 
     * @param id 个人页 图片ID
     * @return 结果
     */
    public int deleteTPersonalImgById(Long id);
}
