package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.TTemplatePage;

/**
 * 个人页模板Service接口
 * 
 * @author ruoyi
 * @date 2020-08-29
 */
public interface ITTemplatePageService 
{
    /**
     * 查询个人页模板
     * 
     * @param id 个人页模板ID
     * @return 个人页模板
     */
    public TTemplatePage selectTTemplatePageById(Long id);

    /**
     * 查询个人页模板列表
     * 
     * @param tTemplatePage 个人页模板
     * @return 个人页模板集合
     */
    public List<TTemplatePage> selectTTemplatePageList(TTemplatePage tTemplatePage);

    /**
     * 新增个人页模板
     * 
     * @param tTemplatePage 个人页模板
     * @return 结果
     */
    public int insertTTemplatePage(TTemplatePage tTemplatePage);

    /**
     * 修改个人页模板
     * 
     * @param tTemplatePage 个人页模板
     * @return 结果
     */
    public int updateTTemplatePage(TTemplatePage tTemplatePage);

    /**
     * 批量删除个人页模板
     * 
     * @param ids 需要删除的个人页模板ID
     * @return 结果
     */
    public int deleteTTemplatePageByIds(Long[] ids);

    /**
     * 删除个人页模板信息
     * 
     * @param id 个人页模板ID
     * @return 结果
     */
    public int deleteTTemplatePageById(Long id);

    int updateEnable(TTemplatePage tTemplatePage);
}
