package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.system.domain.TPersonalImg;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TPersonalImgMapper;
import com.ruoyi.system.service.ITPersonalImgService;

/**
 * 个人页 图片Service业务层处理
 * 
 * @author ruoyi
 * @date 2020-09-01
 */
@Service
public class TPersonalImgServiceImpl implements ITPersonalImgService 
{
    @Autowired
    private TPersonalImgMapper tPersonalImgMapper;

    /**
     * 查询个人页 图片
     * 
     * @param id 个人页 图片ID
     * @return 个人页 图片
     */
    @Override
    public TPersonalImg selectTPersonalImgById(Long id)
    {
        return tPersonalImgMapper.selectTPersonalImgById(id);
    }

    /**
     * 查询个人页 图片列表
     * 
     * @param tPersonalImg 个人页 图片
     * @return 个人页 图片
     */
    @Override
    public List<TPersonalImg> selectTPersonalImgList(TPersonalImg tPersonalImg)
    {
        return tPersonalImgMapper.selectTPersonalImgList(tPersonalImg);
    }

    /**
     * 新增个人页 图片
     * 
     * @param tPersonalImg 个人页 图片
     * @return 结果
     */
    @Override
    public int insertTPersonalImg(TPersonalImg tPersonalImg)
    {
        tPersonalImg.setCreateTime(DateUtils.getNowDate());
        return tPersonalImgMapper.insertTPersonalImg(tPersonalImg);
    }

    /**
     * 修改个人页 图片
     * 
     * @param tPersonalImg 个人页 图片
     * @return 结果
     */
    @Override
    public int updateTPersonalImg(TPersonalImg tPersonalImg)
    {
        tPersonalImg.setUpdateTime(DateUtils.getNowDate());
        return tPersonalImgMapper.updateTPersonalImg(tPersonalImg);
    }

    /**
     * 批量删除个人页 图片
     * 
     * @param ids 需要删除的个人页 图片ID
     * @return 结果
     */
    @Override
    public int deleteTPersonalImgByIds(Long[] ids)
    {
        return tPersonalImgMapper.deleteTPersonalImgByIds(ids);
    }

    /**
     * 删除个人页 图片信息
     * 
     * @param id 个人页 图片ID
     * @return 结果
     */
    @Override
    public int deleteTPersonalImgById(Long id)
    {
        return tPersonalImgMapper.deleteTPersonalImgById(id);
    }
}
