package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TPersonalPageMapper;
import com.ruoyi.system.domain.TPersonalPage;
import com.ruoyi.system.service.ITPersonalPageService;

/**
 * 个人页Service业务层处理
 * 
 * @author ruoyi
 * @date 2020-08-29
 */
@Service
public class TPersonalPageServiceImpl implements ITPersonalPageService 
{
    @Autowired
    private TPersonalPageMapper tPersonalPageMapper;

    /**
     * 查询个人页
     * 
     * @param id 个人页ID
     * @return 个人页
     */
    @Override
    public TPersonalPage selectTPersonalPageById(Long id)
    {
        return tPersonalPageMapper.selectTPersonalPageById(id);
    }

    /**
     * 查询个人页列表
     * 
     * @param tPersonalPage 个人页
     * @return 个人页
     */
    @Override
    public List<TPersonalPage> selectTPersonalPageList(TPersonalPage tPersonalPage)
    {
        return tPersonalPageMapper.selectTPersonalPageList(tPersonalPage);
    }

    /**
     * 新增个人页
     * 
     * @param tPersonalPage 个人页
     * @return 结果
     */
    @Override
    public int insertTPersonalPage(TPersonalPage tPersonalPage)
    {
        tPersonalPage.setCreateTime(DateUtils.getNowDate());
        return tPersonalPageMapper.insertTPersonalPage(tPersonalPage);
    }

    /**
     * 修改个人页
     * 
     * @param tPersonalPage 个人页
     * @return 结果
     */
    @Override
    public int updateTPersonalPage(TPersonalPage tPersonalPage)
    {
        return tPersonalPageMapper.updateTPersonalPage(tPersonalPage);
    }

    /**
     * 批量删除个人页
     * 
     * @param ids 需要删除的个人页ID
     * @return 结果
     */
    @Override
    public int deleteTPersonalPageByIds(Long[] ids)
    {
        return tPersonalPageMapper.deleteTPersonalPageByIds(ids);
    }

    /**
     * 删除个人页信息
     * 
     * @param id 个人页ID
     * @return 结果
     */
    @Override
    public int deleteTPersonalPageById(Long id)
    {
        return tPersonalPageMapper.deleteTPersonalPageById(id);
    }
    @Override
    public int updateEnable(TPersonalPage tPersonalPage) {
        return tPersonalPageMapper.updateTPersonalPage(tPersonalPage);
    }

    @Override
    public boolean updateAvatar(Long id, String avatar){
        return tPersonalPageMapper.updateAvatar(id,avatar) > 0;
    }
}
