package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TTemplatePageMapper;
import com.ruoyi.system.domain.TTemplatePage;
import com.ruoyi.system.service.ITTemplatePageService;

/**
 * 个人页模板Service业务层处理
 * 
 * @author ruoyi
 * @date 2020-08-29
 */
@Service
public class TTemplatePageServiceImpl implements ITTemplatePageService 
{
    @Autowired
    private TTemplatePageMapper tTemplatePageMapper;

    /**
     * 查询个人页模板
     * 
     * @param id 个人页模板ID
     * @return 个人页模板
     */
    @Override
    public TTemplatePage selectTTemplatePageById(Long id)
    {
        return tTemplatePageMapper.selectTTemplatePageById(id);
    }

    /**
     * 查询个人页模板列表
     * 
     * @param tTemplatePage 个人页模板
     * @return 个人页模板
     */
    @Override
    public List<TTemplatePage> selectTTemplatePageList(TTemplatePage tTemplatePage)
    {
        return tTemplatePageMapper.selectTTemplatePageList(tTemplatePage);
    }

    /**
     * 新增个人页模板
     * 
     * @param tTemplatePage 个人页模板
     * @return 结果
     */
    @Override
    public int insertTTemplatePage(TTemplatePage tTemplatePage)
    {
        tTemplatePage.setCreateTime(DateUtils.getNowDate());
        return tTemplatePageMapper.insertTTemplatePage(tTemplatePage);
    }

    /**
     * 修改个人页模板
     * 
     * @param tTemplatePage 个人页模板
     * @return 结果
     */
    @Override
    public int updateTTemplatePage(TTemplatePage tTemplatePage)
    {
        return tTemplatePageMapper.updateTTemplatePage(tTemplatePage);
    }

    /**
     * 批量删除个人页模板
     * 
     * @param ids 需要删除的个人页模板ID
     * @return 结果
     */
    @Override
    public int deleteTTemplatePageByIds(Long[] ids)
    {
        return tTemplatePageMapper.deleteTTemplatePageByIds(ids);
    }

    /**
     * 删除个人页模板信息
     * 
     * @param id 个人页模板ID
     * @return 结果
     */
    @Override
    public int deleteTTemplatePageById(Long id)
    {
        return tTemplatePageMapper.deleteTTemplatePageById(id);
    }

    @Override
    public int updateEnable(TTemplatePage tTemplatePage){
        return tTemplatePageMapper.updateTTemplatePage(tTemplatePage);
    }
}
